@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Flex:opsz,wght@6..144,1..1000&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
:root{
    --header-height: 6rem;
    --normal-font-size: .938rem;
    --color-primario: #160e32;
    --color-secundario: #0c0636;
    --color-terciario: #095169;
    --color-detalles: #059b9a;
    --color-alterno: #53ba83;
    --color-especifico: #9fd86b;
    --color-blanco: hsl(0, 0%, 100%);
    --color-boton: #5f0d3b;
    --color-nombre: #125a44;
    --font-regular: 400;
    --font-bold: 600;
    --z-tooltip: 10;
    --z-fixed: 100;
}
@media screen and (width >= 1024px){
    :root{
        --normal-font-size: 1rem;
    }
}
body::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}
body::-webkit-scrollbar-track {
    background: var(--color-primario);
    height: 1px;
}
body::-webkit-scrollbar-thumb {
    background-color: var(--color-detalles);
    border-radius: 20px;
    border: 1px solid var(--color-detalles);
}
body{
    background-color: var(--color-primario);
}
a{
    text-decoration: none;
    font-family: "Google Sans Flex", sans-serif;
}
.nav_link{
    font-family: "Rubik", sans-serif;
}
ul{
    list-style-type: none;
}
h1{
    font-family: "Figtree", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}
h2{
    font-family: "Google Sans Flex", sans-serif;
    font-weight: 300;
}
h3{
    font-family: "Google Sans Flex", sans-serif;
    font-weight: 300;
}
h4{
    font-family: "Google Sans Flex", sans-serif;
    font-weight: 300;
}
p{
    font-family: "Google Sans Flex", sans-serif;
}
span{
    font-weight: 600;
}
.container{
    max-width: 1128px;
    margin-inline: 1.5rem;
    justify-content: space-between;
    display: flex;
    align-items: center;
}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    /* background-color: var(--color-primario); */
    z-index: var(--z-fixed);
    transition: 1s;
}
.nav{
    height: var(--header-height);
}
.nav_data{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
.nav_logo{
    width: 100px;
    display: inline-flex;
    align-items: center;
    column-gap: .25rem;
}
.nav_logo img{
    width: 100%;
}
.nav_toggle{
    position: relative;
    width: 32px;
    height: 32px;
}
.nav_burger,
.nav_close{
    color: var(--color-blanco);
    position: absolute;
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    font-size: 1.25rem;
    cursor: pointer;
    transition: opacity .1s, transform .4s;
}
.nav_close{
    opacity: 0;
}
@media screen and (width <= 1118px){
    .nav_menu{
        position: absolute;
        left: 0;
        top: 2.5rem;
        width: 100%;
        background-color: var(--color-primario);
        /* height: calc(100vh - 3.5rem); */
        overflow: auto;
        pointer-events: none;
        opacity: 0;
        transition: top .4s, opacity .3s;
    }
    .nav_menu::-webkit-scrollbar{
        width: 0;
    }
    .nav_list{
        background-color: var(--color-primario);
        box-shadow: 0 2px 16px var(--color-secundario);
        /* padding-top: 1rem; */
    }
}
.carrito{
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-blanco);
    font-size: 1.5rem;
    position: relative;
    background: transparent;
    border: none;
}
.carrito i,
.carrito span{
    width: max-content;
    height: max-content;
    position: absolute;
    inset: 0;
    margin: auto;
    cursor: pointer;
}
.carrito span{
    font-size: 1rem;
    right: -40px;
}
.show-cart{
    opacity: 1;
    transform: translateX(0%);
    top: 150px;
}
.nav_link{
    color: var(--color-blanco);
    padding: 1.25rem 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .3s;
    font-size: 1rem;
}
.nav_link:hover{
    background-color: var(--color-detalles);
}
.show-menu{
    opacity: 1;
    top: 6rem;
    pointer-events: initial;
}
.show-icon .nav_burger{
    opacity: 0;
    transform: rotate(90deg);
}
.show-icon .nav_close{
    opacity: 1;
    transform: rotate(90deg);
}
@media screen and (width <= 340px){
    .container{
        margin-inline: 1rem;
    }
    .nav_link{
        padding: 1rem;
    }
}

.inicio{
    background-image: url(../img/fondo\ inicio.png);
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 100vh;
    padding: 1.5rem;
    align-items: center;
    justify-content: center;
    display: flex;
}
.inicio-container{
    padding: 1.5rem;
    width: 100%;
    max-width: 900px;
    margin: auto;
    display: flex;
}
.titulo{
    width: 100%;
}
.inicio-container .titulo h1{
    color: var(--color-especifico);
    text-align: center;
    font-size: clamp(1.25rem, 1.75rem + 2vw, 4rem);
}
.inicio-container .titulo p{
    color: var(--color-blanco);
    text-align: center;
    font-size: clamp(.75rem, .75rem + 2vw, 2rem);
}
.nosotros{
    background-image: url(../img/fondo\ nosotros.png);
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    width: 100%;
    display: flex;
    padding: 5rem 1.2rem;
    background-color: var(--color-blanco);
}
.nosotros-container{
    width: 100%;
    display: flex;
    padding: 1rem;
    align-items: center;
}
.nosotros-texto{
    width: 100%;
    max-width: 500px;
    margin: auto;
    display: flex;
    flex-direction: column;
}
.nosotros-texto h1{
    font-size: clamp(1.25rem, 1.75rem + 2vw, 2rem);
    color: var(--color-alterno);
}
.nosotros-texto p{
    margin: 1rem 0;
    text-align: justify;
    color: var(--color-primario);
}
.nosotros-imagen{
    display: flex;
    width: 350px;
    border-radius: 20px;
    box-shadow: 20px 20px 0 0 var(--color-especifico);
}
.nosotros-imagen img{
    width: 100%;
    border-radius: 20px;
    object-fit: cover;
}
.mvv{
    /* background-image: url(../img/fondo\ mvv.png);
    background-position: center;
    background-size: cover; */
    padding: 1.5rem;
    width: 100%;
    background-color: var(--color-primario);
}
.mvv-container{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    margin: auto;
    justify-content: center;
    align-items: center;
}
.mvv-texto{
    width: 100%;
    max-width: 500px;
    /* border: 2px solid rgb(231, 231, 231); */
    padding: .75rem;
    border-radius: 10px;
    /* background-color: rgba(255, 255, 255, 0.274);
    backdrop-filter: blur(20px); */
}
.mvv-texto-valores{
    width: 100%;
    max-width: 1040px;
    border: 2px solid rgb(231, 231, 231);
    padding: .75rem;
    border-radius: 10px;
    background-color: rgba(255, 255, 255, 0.274);
    backdrop-filter: blur(20px);
}
.mvv-texto-valores h1{
    color: var(--color-blanco);
}
.mvv-texto h4{
    margin-top: .5rem;
    color: var(--color-especifico);
}
.mvv-texto-valores p{
    text-align: justify;
    margin: .5rem 0;
    color: var(--color-terciario);
}
.mvv-texto h1{
    color: var(--color-especifico);
}
.mvv-texto p{
    text-align: justify;
    margin: .5rem 0;
    color: var(--color-blanco);
}
.vision{
    margin-top: 2.5rem;
}

.productos{
    background-image: url(../img/fondo\ productos.png);
    background-position: center;
    background-size: cover;
    width: 100%;
    background-attachment: fixed;
    padding: 10px 0;
}
.productos h1{
    color: var(--color-blanco);
    padding-top: 50px;
    text-align: center;
}
.lista-productos{
    width: 100%;
    display: flex;
    margin: auto;
    padding: 1.5rem;
    gap: 50px;
    background-color: var(--color-tienda);
}
.cards{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
}
.cards__card{
    width: 100%;
    max-width: 400px;
    height: 470px;
    display: flex;
    flex-direction: column;
    margin: auto;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: .5rem;
    background-color: rgba(255, 255, 255, .4);
    backdrop-filter: blur(20px);
}
.card__img{
    width: 300px;
    border-radius: 8px;
    margin: 0.5rem;
}
.card__img img{
    width: 100%;
}
.card__img.active{
    border: 2px solid var(--color-alterno);
}
.card__descripcion{
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
    padding: 0 1rem;
}
.descripcion__nombre{
    color: var(--color-boton);
    font-size: 1.2em;
    font-weight: 500;
    text-align: center;
}
.descripcion__descripcion{
    color: var(--color-blanco);
    font-size: 1.2em;
    font-weight: 500;
    text-align: center;
}

.descripcion__precio{
    color: var(--color-secundario);
    font-size: 1.5em;
    font-weight: 600;
    text-align: center;
}
.card__btn-shop{
    position: absolute;
    top: 260px;
    width: 200px;
    padding: 15px;
    border-radius: 25px;
    transition: 0.4s;
    cursor: pointer;
    border: 2px solid var(--color-especifico);
    font-size: 1em;
    font-weight: 600;
    background-color: var(--color-secundario);
    color: var(--color-especifico);
}
.card__btn-shop i{
    margin-right: 5px;
    color: var(--color-especifico);
}
.card__cantidad{
    position: absolute;
    top: 260px;
    width: 200px;
    padding: 10px;
    border-radius: 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--color-especifico);
    border: 2px solid var(--color-especifico);
    font-size: 1.1em;
    font-weight: 600;
    color: var(--color-primario);
    display: none;
}
.cantidad__btn-add,
.cantidad__btn-remove{
    border: none;
    background-color: transparent;
    cursor: pointer;
    font-size: 1.5em;
    color: var(--color-secundario);
}
.cart-list{
    width: 100%; 
    max-width: 500px; 
    padding: .5rem; 
    position: fixed; 
    transform: translateX(100%);
    transform: translateY(0%);
    right: 0;
    background-color: var(--color-primario); 
    border-radius: 10px; 
    transition: 1s; 
    display: flex; 
    flex-direction: column; 
    /* opacity: 1; */
    overflow: auto;
}
.cart-list h2{
    font-size: 2em;
    color: var(--color-especifico);
}
.cart-list__items{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    max-height: 450px;
    overflow-y: auto;
}
.cart-list__items::-webkit-scrollbar{
        display: none;
}
.cart-list__items p{
    font-size: 1.2em;
    font-weight: 600;
    color: var(--color-especifico);
}
.items__img{
    width: 150px;
}
.items__img img{
    width: 100%;
}
.items__item{
    display: flex;
    flex-direction: column;
    width: 95%;
    gap: 5px;
    border-bottom: 1px solid var(--color-primario);
    padding: 10px 0;
    flex-shrink: 0;
}
.items__item h4{
    color: var(--color-detalles);
    font-size: 1.2em;
    font-weight: 800;
}
.item__detalles{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.item__detalles p{
    font-size: 1em;
    font-weight: 700;
    color: var(--color-blanco);
    display: flex;
    gap: 10px;
}
.item__detalles p span{
    font-weight: 500;
}
.item__detalles p:last-child,
.item__detalles p span{
    color: var(--color-blanco);
}
.item__detalles button{
    background-color: transparent;
    color: var(--color-especifico);
    border: none;
    font-size: 1.2em;
    cursor: pointer;
}
.item__total{
    width: 95%;
    flex-shrink: 0;
}
.item__total div{
    padding: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.item__total div span{
    font-size: 1.2em;
    font-weight: 800;
    color: var(--color-blanco);
}
.btn{
    width: 100%;
    display: grid;
    place-items: center;
    padding: 15px;
    border: none;
    border-radius: 25px;
    cursor: pointer;
    font-size: 1em;
    font-weight: 600;
    margin: 10px 0;
    background-color: var(--color-alterno);
    color: var(--color-blanco);
    transition: 0.4s;
}
.btn:hover{
    background-color: var(--color-primario);
}

.overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    transition: 0.4s;
    visibility: hidden;
    opacity: 0;
}
.overlay.active{
    visibility: visible;
    opacity: 1;
}
.modal-pedido{
    position: relative;
    width: 500px;
    background-color: var(--color-blanco);
    border-radius: 10px;
    padding: 30px;
    box-shadow: 0px 3px 6px var(--color-secundario);
    visibility: hidden;
    transition: 0.4s;
    opacity: 0;
    transform: translateY(-100%);
}
.modal-pedido.active{
    visibility: visible;
    opacity: 1;
    transform: translateY(0%);
}
.modal-pedido i{
    font-size: 3em;
    color: var(--color-alterno);
}
.modal-pedido h2{
    color: var(--color-secundario);
    font-size: 2em;
    margin-top: 15px;
    margin-bottom: 10px;

}
.modal-pedido p{
    color: var(--color-secundario);
    font-size: 1.2em;
    font-weight: 600;
    margin-bottom: 20px;
}
.pedido__detalles{
    background-color: var(--color-especifico);
    padding: 20px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    margin-bottom: 20px;
    max-height: 400px;
    overflow-y: auto;
}
.detalle__item{
    flex-shrink: 0;
}
.item__pedido{
    display: flex;
    gap: 10px;
    border-bottom: 1px solid var(--color-primario);
}
.pedido__img{
    /* position: relative; */
    width: 70px;
    height: 70px;
    border-radius: 8px;
}
.pedido__img img{
    width: 100%;
}
.pedido__lista{
    width: 60%;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}
.pedido__lista p{
    font-size: 1em;
    font-weight: 700;
    color: var(--color-secundario);
}
.pedido__lista p span{
    font-size: 1em;
    font-weight: 500;
    color: var(--color-secundario);
}
.item__pedido p:last-child{
    display: flex;
    align-items: center;
    font-weight: 700;
    color: var(--color-alterno);
}
.pedido__total{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-shrink: 0;
}
.pedido__total h4{
    font-size: 1.5em;
    color: var(--color-primario);
}

/* prueba */

.prueba{
    position: relative;
    width: 100%;
    height: 100vh;
}
.btn-prueba{
    position: fixed;
    right: 15px;
    top: 150px;
}
.texto-prueba{
    position: fixed;
    width: 100%; 
    max-width: 500px; 
    padding: .5rem; 
    transform: translateX(100%);
    transform: translateY(100%);
    left: 50%;
    background-color: var(--color-detalles); 
    border-radius: 10px; 
    transition: 1s;
    flex-direction: column; 
    opacity: 1;
    overflow: auto; 
    z-index: 200;
}
.show-prueba{
    opacity: 1;
    transform: translateX(0%);
    top: 150px;
}



.contacto{
    width: 100%;
    padding: 1.5rem;
    display: flex;
    background: var(--color-especifico);
    
}
.contacto-container{
    width: 100%;
    padding: 1.2rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: auto;
}
form{
    width: 100%;
    max-width: 500px;
}
.inputs{
    width: 100%;
}
.input{
    width: 100%;
    margin: .5rem 0;
}
.input input{
    width: 100%;
    height: 3rem;
    font-size: 1rem;
    font-family: "Google Sans Flex", sans-serif;
    color: var(--color-primario);
    padding: .5rem;
    outline: none;
}
input::placeholder{
    color: var(--color-primario);
}
.textarea{
    width: 100%;
}
.textarea textarea{
    width: 100%;
    height: 5rem;
    font-size: 1rem;
    font-family: "Google Sans Flex", sans-serif;
    color: var(--color-primario);
    outline: none;
    padding: .5rem;
}

footer{
    width: 100%;
    padding: 1.5rem;
}
.footer-container{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}
.logo-footer{
    width: 100px;
}
.logo-footer img{
    width: 100%;
}
.redes i{
    color: var(--color-blanco);
    font-size: 2rem;
    width: 100%;
}
.aviso a{
    text-decoration: none;
    color: var(--color-blanco);
    font-size: 1.25rem;
    width: 100%;
}
.copy{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    color: var(--color-blanco);
    font-family: "Google Sans Flex", sans-serif;
    margin: 1rem 0;
}
.elaborado{
    width: 100%;
    text-align: center;
}
.elaborado a{
    color: var(--color-blanco);

}

@media screen and (width <= 450px){
    .footer-container{
        flex-direction: column;
        display: flex;
    }

}

@media screen and (width >= 1118px){
    .container{
        margin-inline: auto;
    }
    .nav{
        height: calc(var(--header-height) + 2rem);
        display: flex;
        justify-content: space-between;
    }
    .nav_data{
        width: 10%;
    }
    .nav_toggle{
        display: none;
    }
    .nav_list{
        height: 100%;
        display: flex;
        column-gap: 3rem;
    }
    .nav_link{
        height: 100%;
        padding: 0;
        justify-content: initial;
        column-gap: .25rem;
        background-color: transparent;
        transition: .3s;
    }
    .nav_link{
        font-size: 1.2rem;
    }
    .nav_link:hover{
        background-color: transparent;
        color: var(--color-detalles);
    }
    .nosotros-imagen{
        width: 500px;
    }
    .nosotros-texto{
        margin-left: 100px;
    }
    
}
